org.eclipse.modisco.workflow.core

## Interface WorkflowModelListener

    public interface WorkflowModelListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `elementAdded(Element element)` Added a component to the Workflow
`void` `elementInserted(int index, Element element)` A component was inserted in the Workflow.
`void` `elementRemoved(int index)` Deleted a component at the specified index

### Method Detail

#### elementAdded

    void elementAdded(Element element)

Added a component to the Workflow

Parameters:
  `element` - Element which represents the component

#### elementInserted

    void elementInserted(int index,
                         Element element)

A component was inserted in the Workflow. Called when moving an element up or down in the workflow

Parameters:
  `index` - Component index
  `element` - The new element

#### elementRemoved

    void elementRemoved(int index)

Deleted a component at the specified index

Parameters:
  `index` - Component index